Xerces-C++ 3.3.0

Public Types | Public Member Functions | Public Attributes | List of all members
XMLNetHTTPInfo Class Reference

`#include <xercesc/util/XMLNetAccessor.hpp>`

## Public Types
enum | HTTPMethod { GET , PUT , POST }

## Public Member Functions
| XMLNetHTTPInfo ()

## Public Attributes
HTTPMethod | fHTTPMethod
const char * | fHeaders
XMLSize_t | fHeadersLen
const char * | fPayload
XMLSize_t | fPayloadLen

## Member Enumeration Documentation

## ◆ HTTPMethod

enum XMLNetHTTPInfo::HTTPMethod

Enumerator
GET |
PUT |
POST |

## Constructor & Destructor Documentation

## ◆ XMLNetHTTPInfo()

XMLNetHTTPInfo::XMLNetHTTPInfo | ( |  | ) |

## Member Data Documentation

## ◆ fHeaders

const char* XMLNetHTTPInfo::fHeaders

## ◆ fHeadersLen

XMLSize_t XMLNetHTTPInfo::fHeadersLen

## ◆ fHTTPMethod

HTTPMethod XMLNetHTTPInfo::fHTTPMethod

## ◆ fPayload

const char* XMLNetHTTPInfo::fPayload

## ◆ fPayloadLen

XMLSize_t XMLNetHTTPInfo::fPayloadLen

The documentation for this class was generated from the following file:

- XMLNetAccessor.hpp